Summary:	Tamil TTF fonts (Unicode encoded)
Name:		fonts-ttf-tamil
Version:	1.1
Release:	%mkrel 4

Url:		http://www.tamil.net/tscii/tools.html#fonts
# from http://groups.yahoo.com/group/tamilinix/files/
# the suitability for free distribution has been checked by
# Thuraiappah Vaseeharan <t_vasee@yahoo.com>
Source0:	tsc-avarangal.tar.bz2
Source1:	tscii-bitmap.tar.bz2
Source2:	tamil_opentype_fonts.tar.bz2

License:	Free
Group:		System/Fonts/True type
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
Requires(post):	chkfontpath
Requires(postun):chkfontpath
Requires(post):	fontconfig
Requires(postun):fontconfig

%description
Tamil TTF fonts usable to display Unicode encoded text; through text
engines like pango etc.

%package -n fonts-ttf-tscii
Url:		http://www.geocities.com/avarangal/
Summary:		Tamil TTF fonts (TSCII encoded)
Group:		System/Fonts/True type	
Requires(post):		chkfontpath
Requires(postun):	chkfontpath
Requires(post):		fontconfig
Requires(postun):	fontconfig

%description -n fonts-ttf-tscii
Tamil TTF fonts in TSCII encoding.
Those fonts present themselves as covering western (cp1252) character set,
which is wrong, but currently the only way to make Tamil TSCII work.

%package -n fonts-bitmap-tscii
Summary:	Tamil Bitmap fonts
Group:		System/Fonts/X11 bitmap
License:	GPL
Requires(post):		chkfontpath
Requires(postun):	chkfontpath
Requires(post):		fontconfig
Requires(postun):	fontconfig
%description -n fonts-bitmap-tscii
Tamil bitmap fonts for X11 in TSCII encoding 


%prep

%setup -q -T -c -a0 -a1 -a2
 
%build

cp tsc-avarangal/README README.avarangal
cp tamil_opentype_fonts/README README.TSCu

%install
rm -fr %buildroot

install -d %buildroot/%_datadir/fonts/TTF/tamil/
install -m 0644 tamil_opentype_fonts/*.ttf %buildroot/%_datadir/fonts/TTF/tamil
install -d %buildroot/%_datadir/fonts/TTF/tscii/
install -m 0644 tsc-avarangal/*.ttf %buildroot/%_datadir/fonts/TTF/tscii
install -d %buildroot/%_datadir/fonts/bitmap/tscii/
install -m 0644 tscii-bitmap/*.gz %buildroot/%_datadir/fonts/bitmap/tscii
install -m 0644 tscii-bitmap/fonts.dir %buildroot/%_datadir/fonts/bitmap/tscii

(
cd %buildroot/%_datadir/fonts/TTF/tscii
# ttmkfdir can't be used as we need special names
cat << EOF > fonts.scale
15
tscavai.TTF -misc-TSC_Avarangal-medium-i-normal--0-0-0-0-p-0-tscii-0
tscavai.TTF -misc-TSC_Avarangal-medium-i-normal--0-0-0-0-p-0-iso8859-1
tscavai.TTF -misc-TSC_Avarangal-medium-i-normal--0-0-0-0-p-0-iso10646-1
tscavaf.TTF -misc-TSC_AvarangalFxd-medium-r-normal--0-0-0-0-m-0-tscii-0
tscavaf.TTF -misc-TSC_AvarangalFxd-medium-r-normal--0-0-0-0-m-0-iso8859-1
tscavaf.TTF -misc-TSC_AvarangalFxd-medium-r-normal--0-0-0-0-m-0-iso10646-1
tscavabi.TTF -misc-TSC_Avarangal-bold-i-normal--0-0-0-0-p-0-tscii-0
tscavabi.TTF -misc-TSC_Avarangal-bold-i-normal--0-0-0-0-p-0-iso8859-1
tscavabi.TTF -misc-TSC_Avarangal-bold-i-normal--0-0-0-0-p-0-iso10646-1
tscavab.TTF -misc-TSC_Avarangal-bold-r-normal--0-0-0-0-p-0-tscii-0
tscavab.TTF -misc-TSC_Avarangal-bold-r-normal--0-0-0-0-p-0-iso8859-1
tscavab.TTF -misc-TSC_Avarangal-bold-r-normal--0-0-0-0-p-0-iso10646-1
tscava.TTF -misc-TSC_Avarangal-medium-r-normal--0-0-0-0-p-0-tscii-0
tscava.TTF -misc-TSC_Avarangal-medium-r-normal--0-0-0-0-p-0-iso8859-1
tscava.TTF -misc-TSC_Avarangal-medium-r-normal--0-0-0-0-p-0-iso10646-1
EOF
cp fonts.scale fonts.dir
) 

(
cd %buildroot/%_datadir/fonts/bitmap/tscii
# just to be sure that an mkfontdir won't rewrite it
cp fonts.dir fonts.scale
)

%post -n fonts-ttf-tamil
touch %{_datadir}/fonts/TTF
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache

%post -n fonts-ttf-tscii
[ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -a %_datadir/fonts/TTF/tscii
touch %{_datadir}/fonts/TTF
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache

%post -n fonts-bitmap-tscii
[ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -a %_datadir/fonts/bitmap/tscii
touch %{_datadir}/fonts/bitmap
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache

%postun -n fonts-ttf-tamil
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache
fi

%postun -n fonts-ttf-tscii
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/TTF/tscii
   [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache
fi

%postun -n fonts-bitmap-tscii
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/bitamp/tscii
   [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc tamil_opentype_fonts/README
%dir %_datadir/fonts/TTF/
%dir %_datadir/fonts/TTF/tamil/
%_datadir/fonts/TTF/tamil/*.ttf

%files -n fonts-ttf-tscii 
%defattr(0644,root,root,0755)
%doc README.avarangal
%dir %_datadir/fonts/TTF/tscii/
%_datadir/fonts/TTF/tscii/*.ttf
%config(noreplace) %_datadir/fonts/TTF/tscii/fonts.dir
%config(noreplace) %_datadir/fonts/TTF/tscii/fonts.scale

%files -n fonts-bitmap-tscii
%defattr(0644,root,root,0755)
%doc tscii-bitmap/README
%dir %_datadir/fonts/bitmap/
%dir %_datadir/fonts/bitmap/tscii/
%_datadir/fonts/bitmap/tscii/*.gz
%config(noreplace) %_datadir/fonts/bitmap/tscii/fonts.dir
%config(noreplace) %_datadir/fonts/bitmap/tscii/fonts.scale



%changelog
* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 23:12:07 (52894)
- Normalize fonts with new paths

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 21:07:14 (52809)
- import fonts-ttf-tamil-1.1-3mdk

* Tue Feb 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1-3mdk
- Don't package fontconfig cache file
- Fix prereq
- touch parent directory to workaround rpm changing directory last modification
  time (breaking fontconfig cache consistency detection)

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-2mdk
- rebuild
- fix no-prereq-on chkconfig (rpmlint)

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-1mdk
- added OpenType fonts
- proper use of fc-cache

